import { Path, MatchResult } from 'path-to-regexp';
export declare type Context = {};
export declare type Route<T = any> = {
    path?: Path;
    children?: Route<T>[];
} & Omit<T, 'path' | 'children'>;
export declare type Matched<R extends Route = Route> = {
    route: R;
} & MatchResult;
export declare type Options = {
    baseUrl?: string;
};
export declare type Router<R> = {
    routes: R[];
    baseUrl: string;
    options: Options;
};
export declare function create<R extends Route = Route>(routes: R | R[], options?: Options): Router<R>;
export declare function match<R extends Route = Route>(router: Router<R>, pathname: string): Matched<R>[] | undefined;
